Subject: Re: bug#22120: Another backtrace

From: Eric Hanchrow <[email-masked]>
Date: Thu, 24 Dec 2015 03:24:26 +0000

I don't think I've seen a segfault since I made this change -- it must have
worked around the problem.

On Sun, Dec 13, 2015 at 7:27 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Eric Hanchrow <[email-masked]>
> > Date: Sat, 12 Dec 2015 22:37:08 +0000
> >
> > It's starting to look like "lui-adjust-undo-list" might be culpable; I
> think
> > I've seen that function on the lisp stack each time.
>
> Looks like another reincarnation of bug#21667.
>
> Can you modify lui-adjust-undo-list so that GC is inhibited (by
> binding gc-cons-threshold to most-positive-fixnum around the whole
> function)?  It looks dangerous to me that this function messes with
> the undo list inside mapconcat, which could cause GC, which could
> decide to compact the current buffer, including shortening its undo
> list, while lui-adjust-undo-list modifies it.
>